## gulkan-geometry

gulkan-geometry

## Functions

void | gulkan_geometry_append_axes ()
void | gulkan_geometry_append_ray ()
void | gulkan_geometry_append_plane ()

## Includes

    #include <gulkan.h>

## Description

## Functions

### gulkan_geometry_append_axes ()

    void
    gulkan_geometry_append_axes (GulkanVertexBuffer *self,
                                 graphene_vec4_t *center,
                                 float length,
                                 graphene_matrix_t *mat);

### gulkan_geometry_append_ray ()

    void
    gulkan_geometry_append_ray (GulkanVertexBuffer *self,
                                graphene_vec4_t *center,
                                float length,
                                graphene_matrix_t *mat);

### gulkan_geometry_append_plane ()

    void
    gulkan_geometry_append_plane (GulkanVertexBuffer *self,
                                  graphene_point_t *from,
                                  graphene_point_t *to,
                                  graphene_matrix_t *mat);